List segments

This calls enables you to export all segments, or only a subset of them.

Query Params
fields
array of strings

Comma separated list of fields to return.

fields
int32
Defaults to 0

The number of first results to skip. Ignored when no sorting is provided. For an efficient deep pagination, always start at 0.

int32
Defaults to 50

The number of results to return, or 0 for counting only the results. This number may be adjusted for efficient deep paginations. The actual number of results may be less for the last few pages of an efficient deep pagination.

string

The cursor identifier for fetching the next result page. You should always use the whole URL provided in the pagination.next field of the previous request response. Do not try to reuse this identifier if changing the other parameters, as it is bound to them.

string
Defaults to none

How to sort the results. You can sort on multiple fields. For efficient deep pagination, you should use "none". Eg.: "-creationDate" will give you the most recent segments.

viewIds
array of strings

Comma separated list of viewIds to filter. Omit the parameter not to filter.

viewIds
string

The minimum creationDate of the segments to list.

string

The maximum creationDate of the segments to list.

string

The minimum updateDate of the segments to list.

string

The maximum updateDate of the segments to list.

string

The minimum editionDate of the segments to list.

string

The maximum editionDate of the segments to list.

Response

Language
Credentials
Query
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json